Bug 26538 - Display cities list before input text
Summary: Display cities list before input text
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 26556
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-25 14:53 UTC by Fridolin Somers
Modified: 2020-11-17 20:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Screenshot (18.04 KB, image/png)
2020-09-25 14:54 UTC, Fridolin Somers
Details
Bug 26538: Display cities list before input text (4.57 KB, patch)
2020-09-25 15:11 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26538: Display cities list before input text (4.57 KB, patch)
2020-10-13 07:45 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26538: Display cities list before input text (4.65 KB, patch)
2020-10-13 11:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26538: Display cities list before input text (4.70 KB, patch)
2020-10-13 13:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2020-09-25 14:53:38 UTC
In patron creation or edition actually the city field is displayed with input text then cities list.
I propose to display cities list first since it is more likely used.
Comment 1 Fridolin Somers 2020-09-25 14:54:33 UTC
Created attachment 110765 [details]
Screenshot
Comment 2 Fridolin Somers 2020-09-25 15:11:44 UTC
Created attachment 110766 [details] [review]
Bug 26538: Display cities list before input text

In patron creation or edition actually the city field is displayed with input text then cities list.
I propose to display cities list first since it is more likely used.

Test plan :
1) Create some cities
2) Open patron creation form
3) Check you see for each city field : cities list, text "or enter", text input
4) Delete all cities
5) Open patron creation form
6) Check you see for each city field : only text input
Comment 3 Owen Leonard 2020-09-25 16:43:47 UTC
I like this change -- staff at my library seem to often forget they can select a predefined city.

Unfortunately parts of it aren't working for me: Selecting "main address" cit or "alternate address" city does not trigger the automatic population of values to the city, state, and zip fields.

It does work for the "alternate contact" fields.
Comment 4 Fridolin Somers 2020-09-28 13:16:47 UTC
(In reply to Owen Leonard from comment #3)
> I like this change -- staff at my library seem to often forget they can
> select a predefined city.
> 
> Unfortunately parts of it aren't working for me: Selecting "main address"
> cit or "alternate address" city does not trigger the automatic population of
> values to the city, state, and zip fields.
> 
> It does work for the "alternate contact" fields.

Ah, for me this does no work on master without my patch ^^
Comment 5 Fridolin Somers 2020-09-28 13:28:18 UTC
Oh I found why, I'm on a patch
Comment 6 Fridolin Somers 2020-09-29 08:21:01 UTC
(In reply to Fridolin SOMERS from comment #5)
> Oh I found why, I'm on a patch

Bug 26556 is now in master (whaoo fast).

You can test again
Comment 7 David Nind 2020-10-04 03:30:32 UTC
Patch no longer applies 8-(
Comment 8 Fridolin Somers 2020-10-13 07:45:36 UTC
Created attachment 111518 [details] [review]
Bug 26538: Display cities list before input text

In patron creation or edition actually the city field is displayed with input text then cities list.
I propose to display cities list first since it is more likely used.

Test plan :
1) Create some cities
2) Open patron creation form
3) Check you see for each city field : cities list, text "or enter", text input
4) Delete all cities
5) Open patron creation form
6) Check you see for each city field : only text input
Comment 9 Fridolin Somers 2020-10-13 07:46:18 UTC
Rebased, thanks a lot for testing David :D
Comment 10 Owen Leonard 2020-10-13 11:54:08 UTC
Created attachment 111540 [details] [review]
Bug 26538: Display cities list before input text

In patron creation or edition actually the city field is displayed with input text then cities list.
I propose to display cities list first since it is more likely used.

Test plan :
1) Create some cities
2) Open patron creation form
3) Check you see for each city field : cities list, text "or enter", text input
4) Delete all cities
5) Open patron creation form
6) Check you see for each city field : only text input

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 11 Katrin Fischer 2020-10-13 13:53:24 UTC
Created attachment 111565 [details] [review]
Bug 26538: Display cities list before input text

In patron creation or edition actually the city field is displayed with input text then cities list.
I propose to display cities list first since it is more likely used.

Test plan :
1) Create some cities
2) Open patron creation form
3) Check you see for each city field : cities list, text "or enter", text input
4) Delete all cities
5) Open patron creation form
6) Check you see for each city field : only text input

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Jonathan Druart 2020-10-14 12:55:03 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 13 Lucas Gass 2020-11-10 23:05:26 UTC
backported to 20.05.x for 20.05.06
Comment 14 Aleisha Amohia 2020-11-17 03:50:33 UTC
enhancement, not backported to 19.11.x